@import "../../global.scss";
@import "../../styling/mediaQuery.module.scss";

.mainContainer {
  padding: 0;
  margin: 0;

  .bgHeader {
    background-color: transparent;
    height: 6rem;
    width: 100%;
  }
}

html {
  overflow-x: hidden;
  overflow-y: scroll;
}

.heading {
  color: black;
  text-transform: capitalize;
  font-size: 4em;
  margin-top: 7rem !important;
  margin-bottom: 2rem !important;
  margin: 0;

  @include mtablet {
    font-size: 2.5em;
  }

  @include screen4k {
    font-size: 5em !important;
  }

  @include highResScreen {
    font-size: 4em;
  }

  @include ipadpro {
    font-size: 3em;
  }

  @include mmobile {
    font-size: 2.5em;
    padding: 0px 10px;
  }

  @include xsmob {
    font-size: 2em;
    padding: 0px 10px;
  }
}

.actionable {
  margin-top: 1em;
  height: 100%;
  position: relative;
  border-left: 4px solid #adccd5;
  padding-bottom: 250px;

  @include mtablet {
    padding-bottom: 140px;
  }

  @include mmobile {
    padding-bottom: 0px;
    margin-top: 0px;
  }

  @include xsmob {
    margin-top: 0px;
  }

  .parentTxtContainer {
    width: 100%;
  }

  .txtContainer {
    margin-left: 6rem;
    margin-top: 3rem;

    @include highResScreen {
      margin-top: 4rem;
    }

    @include mmobile {
      margin-left: 0rem;
      margin-top: 5rem;
      padding: 0px 12px;
    }

    p {
      @include large-desktop {
        font-size: 23px;
      }

      @include highResScreen {
        font-size: 25px;
      }
    }
  }

  .subHead {
    text-transform: capitalize;
    font-weight: bolder;
    font-size: 4.5rem;
    position: absolute;
    left: 6.5rem;
    top: -5rem;
    color: #094658;
    text-transform: capitalize;
    font-weight: bolder;
    font-size: 3.8rem;
    position: absolute;
    top: -3rem;
    left: 6.8rem;

    @include medium-desktop {
      font-size: 3rem;
      width: 100%;
      top: -2rem;
    }

    @include large-desktop {
      width: 100%;
    }

    @include screen4k {
      font-size: 5rem;
      // top: -3.1rem
    }

    @include ipadpro {
      font-size: 3rem;
    }

    @include mtablet {
      font-size: 2.5rem;
      width: 100%;
      top: -0.6em;
    }

    @include mmobile {
      left: 3rem;
      font-size: 2.5rem;
      width: 100%;
      top: -0.5em;
    }

    @include xsmob {
      left: 2rem;
      font-size: 2rem;
    }

    .tree {
      position: relative;

      &::before {
        content: "";
        position: absolute;
        height: 4px;
        width: 6rem;
        background-color: #adccd5;
        left: -7rem;
        // display: none;
        top: 54%;
        // @include bigScreen {
        //   top: 1rem;
        // }
        // @include large-desktop {
        //   top: 1.9rem;
        // }
        // @include xlarge-desktop {
        //   top: 1.7rem;
        // }
        // @include xxlarge-desktop {
        //   top: 1.7rem;
        // }

        @include screen4k {
            top: 37%;
        }

        // @include fourteenHun {
        //     top: 2.3rem;
        // }

        // @include mdesktop {
        //     top: 2.2rem;
        // }

        @include ipadpro {
            top: 42%;
        }

        @include minMax4 {
          top: 68%;
        }

        @include mtablet {
            top: 37%;
        }

        @include mmobile {
          display: none;
        }
      }
    }

    &::after {
      content: "";
      height: 15rem;
      width: 15rem;
      border-radius: 50%;
      background-color: rgb(224, 233, 236);
      z-index: -1;
      position: absolute;
      right: -7rem;
      top: -3rem;

      @include medium-desktop {
        height: 13rem;
        width: 13rem;
        right: 1rem;
        top: -4rem;
      }

      @include large-desktop {
        right: 3rem;
        top: -4rem;
      }

      @include screen4k {
        height: 17rem;
        width: 17rem;
        right: -10rem;
        top: -5rem;
      }

      @include xxlarge-desktop {
        height: 21rem;
        width: 21rem;
        right: -15rem;
        top: -8rem;
      }

      @include mtablet {
        height: 11rem;
        width: 11rem;
        right: 0rem;
        top: -2rem;
      }

      @include mmobile {
        height: 11rem;
        width: 11rem;
        right: 4.5rem;
        top: -3rem;
      }

      @include xsmob {
        right: 3.5rem;
      }
    }
  }
}

.actionableRight {
  .discoverContainer {
    background-color: rgba(208, 215, 215, 0.5);
    height: 9em;
    width: 100%;
    margin-top: 6em;
    display: flex;
    align-items: center;
    position: relative;
    flex-direction: row;

    .discoverHover {
      position: relative;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      margin-left: 1em;
      text-decoration: none;
      transition: 0.5s ease-in-out;
      padding-right: 1em;
      &:hover {
        margin-left: -1em;
      }
      @include mmobile {
        left: 2em;
        top: 0.8em;
      }
    }

    @include mindesktop {
      margin-top: 5em;
    }

    @include screen4k {
      margin-top: 7em;
    }

    @include mmobile {
      background-color: rgba(208, 215, 215, 0.3);
      margin-top: 1.5em;
      height: 12em;
      width: 80vw;
      transform: translate(0px, -6.6em);
      align-items: flex-end;

      p {
        margin-bottom: -12px;
      }
    }

    .line {
      height: 1px;
      width: 8em;
      background-color: #378889;
      // /* position: absolute; */
      // /* left: -4em;

      @include mtablet {
        left: -5em;
      }

      @include mmobile {
        left: 1em;

        width: 5em;
      }

      @include xsmob {
      }
    }

    p {
      text-transform: uppercase;
      color: #378889;
      margin-left: 10%;
      font-weight: 300;
      margin-bottom: 0;

      // /* margin-top: 17px;
      @include mmobile {
        margin-left: 20px;
      }

      @include xsmob {
        margin-left: 10px;
      }

      @include iPhone5 {
        margin-left: 10px;
      }
    }
  }
}

.findClarity {
  border-left: 4px solid #adccd5;
  height: 100%;
  // margin-top: 7rem;

  p {
    @include large-desktop {
      font-size: 23px;
    }

    @include xlarge-desktop {
      font-size: 24px;
    }

    @include xxlarge-desktop {
      font-size: 25px;
    }
  }

  .textRotation {
    position: relative;
    height: 100%;

    h1 {
      transform: rotate(90deg);
      font-weight: 500;
      color: #14343d;
      width: 7em !important;
      position: absolute;
      text-align: center;
      background-color: white;
      top: 5rem;
      left: -11rem;
      font-size: 3rem;
      z-index: 3;
      padding: 10px;

      @include mmobile {
        transform: rotate(0deg);
        font-weight: 600;
        width: 10.7em !important;
        top: -4rem;
        left: -0.3rem;
        font-size: 3rem;
        font-size: 38px;
      }

      @include xsmob {
        font-size: 36px;
      }

      @include iPhone5 {
        font-size: 32px;
      }
    }
  }
  .clarityContainer {
    @include afterFourteen {
      margin-left: 0;
      padding-left: 0;
    }
  }

  .findBox {
    padding-bottom: 247px;
    padding-left: 12%;

    @include small-desktop {
      padding-left: 1%;
    }
    @include medium-desktop {
      padding-left: 5%;
    }
    @include large-desktop {
      padding-left: 60px;
    }
    @include xlarge-desktop {
      padding-left: 0;
      margin-left: -2rem;
    }
    @include xxlarge-desktop {
      padding-left: 0;
    }
    @include ipadpro {
      padding-left: 11%;
    }
    // @include screen4k {
    //     margin-left: -6rem;
    //     padding-left: 0 ;
    // }

    // // @include large-desktop {
    // //     padding-left: 6em;
    // // }

    // @include mdesktop {
    //     padding-left: 4.5em;
    // }

    // @include mtablet {
    //     padding-left: 5em;

    // }

    @include mmobile {
      padding-left: 0px;
    }
  }

  .upPara {
    padding: 10px;
  }

  .downPara {
    margin-top: 14rem;
    position: relative;
    padding-left: 14%;

    @include large-desktop {
      font-size: 23px;
    }

    @include highResScreen {
      margin-top: 19rem;
      font-size: 25px;
    }

    @include mmobile {
      margin-top: 7rem;
      padding: 10px;
    }

    &::after {
      content: "";
      position: absolute;
      height: 12em;
      width: 16em;
      background-color: rgb(224, 233, 236);
      left: -12rem;
      top: -9rem;
      z-index: -1;

      @include highResScreen {
        left: -12rem;
        top: -14rem;
      }

      @include screen4k {
        left: -15rem !important;
        top: -14rem !important;
      }

      @include mindesktop {
        left: -10rem;
        top: -9rem;
        z-index: -1;
      }

      @include mdesktop {
        left: -10rem;
        top: -9rem;
        z-index: -1;
      }

      @include mtablet {
        left: -8rem;
        top: -8rem;
        z-index: -1;
        height: 12em;
        width: 14em;
      }

      @include mmobile {
        left: 2rem;
        top: -10rem;
        z-index: -1;
        height: 12em;
        width: 9em;
      }
    }
  }
}

.floatingBox {
  width: 100%;
  margin-top: 1rem;
  position: relative;

  h4 {
    position: absolute;
    left: 8rem;
    text-transform: uppercase;
    right: 3rem;
    text-align: right;
    width: 100%;
    left: inherit;

    @include ipadpro {
      font-size: 20px;
      top: 6px;
    }
  }

  .descriptions {
    position: absolute;
    text-align: end;
    top: 2rem;
    margin-right: 3rem;

    &::after {
      content: "";
      position: absolute;
      height: 16.5em;
      width: 22em;
      background-color: #f1f2ee;
      right: 0;
      top: -3rem;
      z-index: -1;
      opacity: 0.6;

      @include large-desktop {
        width: 61%;
        right: -2.8em;
        height: 16.5em !important;
      }

      @include xlarge-desktop {
        width: 61%;
        right: -2.8em;
      }

      @include maxDesktop {
        height: 16.5em !important;
      }

      @include mdesktop {
        height: 11em !important;
      }

      @include medium-desktop {
        height: 12.8em;
        width: 60%;
      }

      @include ipadpro {
        height: 12.5em !important;
      }

      @include mtablet {
        width: 63%;
        height: 279%;
        right: -37px;
      }

      @include screen4k {
        width: 90%;
        right: -2.6em;
      }

      @include ipadpro {
        right: -44px;
        width: 63%;
      }

      @include mmobile {
        width: 109%;
      }
    }

    @include screen4k {
      left: inherit;
      right: 0;
      margin-right: 3rem;
      width: 60%;
    }

    @include ipadpro {
      font-size: 14px;
    }

    @include mmobile {
      padding: 0 20px;
    }
  }

  .discoverInsider {
    position: absolute;
    text-align: end;
    top: 20rem;
    left: 33%;
    font-weight: 500;
    letter-spacing: 1px;
    color: $DarkBlue;
    font-size: 16px;
    width: 36%;
    display: flex;
    justify-content: start;
    text-transform: uppercase;
    transition: left 0.5s ease-in-out;
    padding: 0 !important;
    text-decoration: none;
    @include medium-desktop {
      left: 12%;
      top: 12rem;
    }

    @include mdesktop {
      top: 13rem;
    }

    &:hover {
      left: 28%;
    }

    @include ipadpro {
      width: 13rem;
      display: inline;
    }

    @include mtablet {
      top: 13rem !important;
      left: 18% !important;
    }

    &::before {
      position: absolute;
      background-color: #06333f;
      content: "";
      height: 2px;
      left: -7rem;
      width: 100px;
      top: 10px;

      @include medium-desktop {
        left: -3rem;
      }

      @include mtablet {
        left: -4rem;
      }
    }

    @include screen4k {
      left: 44%;
    }
  }

  div {
    float: right;
    display: flex;
    width: 50%;
    background-color: #d4db90;
    height: 28rem;
    flex-direction: column;
    justify-content: space-between;

    @include mdesktop {
      height: 18rem;
    }

    span {
      font-weight: bolder;
      margin-top: 0rem;
      color: white;
      margin: 0;
      font-size: 3.5rem;
      margin-left: 7px;
      padding: 0;
      height: 3.5rem;
    }

    div {
      width: 98%;
      height: 55%;
      background-color: white;
      opacity: 0.6;
      float: left;

      ::after {
        content: "";
        position: absolute;
        background-color: #06333f;
        height: 200px;
        left: -1rem;
        width: 100px;
        top: 10px;
      }
    }
  }
}

.containerPaddingProduct {
  .productHead {
    float: right;
    margin-top: -4em;
    font-size: 2em;
    margin-right: 31%;
    text-transform: uppercase;
    font-weight: 600;
    // @include large-desktop {
    //     margin-right: 59%;
    // }
    @include mmobile {
      float: left;
      margin-top: -6em;
      font-size: 1.1em;
      margin-right: 0%;
      padding: 0px 10px;
      font-weight: 600;
    }

    @include xsmob {
      padding: 0px 10px;
    }
  }
}

.products {
  border-top: 4px solid #adccd5;
  border-right: 4px solid #adccd5;
  position: relative;
  padding-bottom: 240px;

  @include mmobile {
    border: none;
    padding-bottom: 67px;
  }

  .icons {
    position: absolute;
    top: -4rem;
    justify-content: center;
    width: 100%;
    margin-bottom: 5em;

    img {
      height: 150px;
      object-fit: contain;

      @include ipadpro {
        height: 110px;
      }

      @include screen4k {
        height: 180px;
      }

      @include mmobile {
        height: 100%;
        width: 100%;
        object-fit: cover;
      }
    }

    div {
      justify-content: center;
      padding-right: 25px;
      text-align: center;
      align-items: center;
      display: flex;
      flex-direction: column;
      justify-content: space-between;

      @include mmobile {
        padding-right: 0;
        padding-left: 0;
      }
    }

    p {
      text-align: center;
      align-self: center;
      color: $DarkBlue;
      font-size: 12px;
      margin-top: 5px;

      @include screen4k {
        font-size: 17px;
        width: fit-content !important;
      }

      @include smallpc {
        width: 117%;
      }
      @include ipadpro {
        width: 131%;
        font-size: 11px;
      }
      @include mtablet {
        font-size: 9px;
      }
      @include mmobile {
        font-size: 12px;
        transform: translate(0px, -35px);
        width: 95%;
        margin-bottom: 0px;
        line-height: 1;
        font-weight: 300;
      }

      @include xsmob {
        font-size: 11px;
      }
    }
  }

  .iphone {
    object-fit: contain;
    margin-top: 60px;
    width: 116%;

    @include mmobile {
      margin-top: 0;
      height: 100%;
      width: 100%;
      object-fit: cover;
    }
  }
}

.insights {
  border-left: 4px solid #adccd5;
  position: relative;
}

.product2 {
  border-top: 4px solid #adccd5;
  border-left: 4px solid #adccd5;
  position: relative;
  padding-bottom: 240px;
  @include mmobile {
    border: none;
    padding-bottom: 100px;
  }
  .iphone {
    margin-top: 5rem;
    object-fit: contain;
    width: 100%;

    @include medium-desktop {
      width: 107%;
    }
  }

  &::after {
    content: "";
    height: 2rem;
    width: 34rem;
    background-color: white;
    position: absolute;
    top: -1.9rem;
    left: -1rem;
    z-index: 1;

    @include medium-desktop {
      width: 31rem;
      top: -1.9rem;
    }

    @include large-desktop {
      top: -1.9rem;
      width: 31rem;
    }

    @include mtablet {
      width: 18rem;
    }
  }
}

.floatingBoxLeft {
  width: 100%;
  position: relative;

  h4 {
    position: absolute;
    left: 3rem;
    top: -13px;
    text-transform: uppercase;
    z-index: 4;

    @include medium-desktop {
      top: -11px;
      left: 2.8rem;
    }

    @include ipadpro {
      top: -7px;
      left: 2.8rem;
      font-size: 20px;
    }

    @include mmobile {
      font-weight: 600;
      font-weight: 17px;
    }
  }

  .descriptions {
    position: absolute;
    text-align: start;
    top: 2rem;
    margin-left: 3rem;
    z-index: 3;

    @include screen4k {
      width: 60%;
    }

    @include mmobile {
      padding-right: 20px;
    }

    @include xsmob {
      top: 2.5rem;
    }

    &::after {
      content: "";
      position: absolute;
      height: 16.5em;
      width: 14em;
      background-color: #f1f2ee;
      left: -2rem;
      top: -3rem;
      z-index: -1;
      opacity: 0.6;

      @include large-desktop {
        height: 17.5em;
        width: 56%;
        left: -1.3rem;
        top: -4rem;
      }

      @include screen4k {
        width: 83%;
        left: -0.5rem;
      }

      @include mmobile {
        width: 22em;
        height: 10.5em;
      }

      @include xsmob {
        height: 12.5em;
      }
    }
  }

  .discoverInsider {
    position: absolute;
    text-align: end;
    top: 20rem;
    left: 33%;
    font-weight: 500;
    letter-spacing: 1px;
    color: $DarkBlue;
    font-size: 16px;
    text-transform: uppercase;
    transition: left 0.5s ease-in-out;
    padding: 0 !important;
    text-decoration: none;
    @include mdesktop {
      left: 26%;
    }

    @include mtablet {
      left: 32%;
    }

    @include mmobile {
      top: 20rem;
      left: 53%;
      font-weight: 500;
      letter-spacing: 1px;
      color: #06333f;
      font-size: 14px;
      text-align: start;
    }

    @include xsmob {
      font-size: 13px;
    }

    &:hover {
      left: 38%;
    }

    @include medium-desktop {
      left: 6rem;
      width: 20rem;
    }

    @include iPhone5 {
      font-size: 12px;
    }

    &::before {
      position: absolute;
      background-color: #06333f;
      content: "";
      height: 2px;
      left: -7rem;
      width: 100px;
      top: 10px;

      @include medium-desktop {
        left: -4.5rem;
        width: 72px;
      }

      @include mdesktop {
        left: -7.4rem;
      }

      @include ipadpro {
        left: -4.5rem;
      }

      @include mtablet {
        left: -6rem;
        width: 94px;
      }

      @include mmobile {
        left: -5rem;
        width: 73px;
        top: 10px;
      }

      @include iPhone5 {
        top: 8px;
      }

      @include xsmob {
        top: 0.7em;
      }
    }
  }

  div {
    float: left;
    display: flex;
    width: 50%;
    background-color: #c3d422;
    height: 28rem;
    flex-direction: column;
    justify-content: flex-end;

    @include mmobile {
      height: 22rem;
    }

    span {
      font-weight: bolder;
      margin-top: 0rem;
      color: white;
      margin: 0;
      font-size: 3.5rem;
      margin-right: 7px;
      padding: 0;
      height: 3.5rem;
      text-align: end;

      @include mmobile {
        text-align: start;
        padding-left: 23px;
      }
    }

    // div {
    //     width: 90%;
    //     height: 55%;
    //     background-color: white;
    //     opacity: 0.6;
    //     align-self: flex-end;
    // }
  }
}

.floatingBoxRight {
  width: 100%;
  position: relative;

  h4 {
    position: absolute;
    right: 2em;
    text-transform: uppercase;
    top: -12px;
    z-index: 4;

    @include ipadpro {
      top: -10px;
      font-size: 20px;
    }
  }

  .descriptions {
    position: absolute;
    text-align: end;
    top: 2rem;
    margin-right: 3rem;
    z-index: 3;

    @include screen4k {
      margin-top: 0;
      margin-bottom: 1rem;
      width: 60%;
      right: 0;
    }

    &::after {
      content: "";
      position: absolute;
      height: 17.5em;
      width: 55%;
      background-color: #f1f2ee;
      right: -1em;
      top: -4rem;
      z-index: -1;
      opacity: 0.6;

      @include large-desktop {
        width: 56%;
        top: -4rem;
        height: 17.5rem;
      }

      @include screen4k {
        width: 85%;
      }
    }
  }

  .discoverInsider {
    position: absolute;
    text-align: end;
    top: 20rem;
    left: 33%;
    font-weight: 500;
    letter-spacing: 1px;
    display: flex;
    width: 65%;
    justify-content: start;
    color: $DarkBlue;
    font-size: 16px;
    text-transform: uppercase;
    transition: left 0.5s ease-in-out;
    padding: 0 !important;
    text-decoration: none;
    @include ipadpro {
      width: 78%;
    }
    &:hover {
      left: 28%;
      // transition: left 5ms ease-in;
    }

    @include medium-desktop {
      left: 5%;
    }

    @include mtablet {
      left: 38%;
      margin-right: 20px;
    }

    &::before {
      position: absolute;
      background-color: #06333f;
      content: "";
      height: 2px;
      left: -7rem;
      width: 100px;
      top: 10px;
    }
  }

  div {
    float: right;
    display: flex;
    width: 50%;
    background-color: #c3d422;
    height: 28rem;
    flex-direction: column;
    justify-content: flex-end;

    span {
      font-weight: bolder;
      margin-top: 0rem;
      color: white;
      margin: 0;
      font-size: 3.5rem;
      margin-left: 7px;
      padding: 0;
      height: 3.5rem;
    }

    div {
      width: 90%;
      height: 55%;
      background-color: white;
      opacity: 0.6;
      float: left;
    }
  }
}

.productRight {
  border-top: 4px solid #adccd5;
  border-right: 4px solid #adccd5;
  position: relative;
  padding-bottom: 285px;

  .iphone {
    object-fit: contain;
    width: 100%;

    @include mtablet {
      margin-bottom: 5rem;
    }
  }

  &::after {
    content: "";
    height: 2rem;
    width: 30rem;
    background-color: white;
    position: absolute;
    top: -1.9rem;
    left: 30rem;
    z-index: 1;

    @include large-desktop {
      left: 27rem;
    }

    @include mdesktop {
      left: 24rem;
    }

    @include ipadpro {
      left: 21rem;
    }

    @include mtablet {
      left: 19rem;
    }

    @include screen4k {
      width: 37rem;
      top: -1.9rem;
      left: 42rem;
    }

    @include xxlarge-desktop {
      left: 50rem;
      width: 37rem;
    }
  }
}

.longText {
  @include mmobile {
    position: relative;
    height: 6em;
    width: 100vw;
    padding: 0 !important;
  }
}

.productWrapper {
  margin-top: 19rem;

  @include mmobile {
    margin-top: 28rem;
  }
}

.imgtxtWrapper {
  padding: 25px;

  @include mmobile {
    padding: 15px;
  }
}

.readmoreBody {
  color: #000;
  font-size: 20px;

  @include mmobile {
    font-size: 16px;
  }
}

.firstFloatbox {
  padding-right: 0px;
  margin-top: 55px;
}

.para {
  @include mmobile {
    position: absolute;
    left: 2rem;
    right: 1rem;
    top: 0.5rem;
    font-size: 20px;
  }

  z-index: 1;
}
.hideSocial {
  display: block;
  @include mmobile {
    display: none;
  }
}
.data_space {
  padding-right: 3rem;
  padding-left: 7rem;
  @include mmobile {
    padding-left: 1rem;
  }
}
.heading_space {
  padding-left: 8rem;
  @include mmobile {
    padding-left: 1.5em;
  }
}

